## gfan 0.3dfsg

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 ALL: default
 
 ##GPROFFLAG = -pg
-#PREFIX?=/usr/local
-#BINDIR=$(PREFIX)/bin
+
+PREFIX?=/usr/local
+
+BINDIR=$(PREFIX)/bin
 
 RELEASEDIR = gfan0.3
 MAIN       = gfan
@@ -19,14 +21,15 @@
 endif
 
 ifeq ($(cddpath),)
-ADDITIONALLINKOPTIONS = -lcddgmp -lgmp 
-#ADDITIONALLINKOPTIONS = -lgmp -lcddgmp
-ADDITIONALINCLUDEOPTIONS =
+CDD_LINKOPTIONS = -L/usr/local -lcddgmp
+CDD_INCLUDEOPTIONS =
 else
-#ADDITIONALLINKOPTIONS = -lgmp $(cddpath)lib-src-gmp/libcddgmp.a
-ADDITIONALLINKOPTIONS = $(cddpath)lib-src-gmp/libcddgmp.a -lgmp 
-ADDITIONALINCLUDEOPTIONS = -I $(cddpath)lib-src -I $(cddpath)lib-src-gmp
+CDD_LINKOPTIONS = $(cddpath)/lib/libcddgmp.a
+CDD_INCLUDEOPTIONS = -I $(cddpath)/include
 endif
+
+ADDITIONALLINKOPTIONS = $(CDD_LINKOPTIONS) $(GMP_LINKOPTIONS)
+ADDITIONALINCLUDEOPTIONS = $(CDD_INCLUDEOPTIONS) $(GMP_INCLUDEOPTIONS)
 
 
 MKDIR=mkdir -p
@@ -40,8 +43,7 @@
 CCLINKER    = $(CCC)
 OPTFLAGS    = -O2 -DGMPRATIONAL
 
-CFLAGS	  = -I$(SAGE_LOCAL)/include $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
-#CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
+CFLAGS	  = $(OPTFLAGS) $(GPROFFLAG) $(ADDITIONALINCLUDEOPTIONS) #-pedantic
 CCFLAGS	  = $(CFLAGS)
 FFLAGS	  = $(OPTFLAGS)
 
@@ -98,12 +100,9 @@
 		tropicalbasis.o \
 		symmetriccomplex.o \
 
-# I removed this from the list below
-#    app_construction.o \
-# See SAGE.txt for more details.
-
 APPOBJECTS = app_main.o \
 		app_buchberger.o \
+		app_construction.o \
 		app_doesidealcontain.o \
 		app_edwinsconjecture.o \
 		app_facets.o \
@@ -168,6 +167,12 @@
 OBJECTS = $(CATSOBJECTS) $(APPOBJECTS)
 
 all: $(MAIN)
+
+$(BINDIR): $(PREFIX)
+	$(MKDIR) $(BINDIR)
+
+$(PREFIX):
+	$(MKDIR) $(PREFIX)
 
 default: $(OBJECTS) $(ADDITIONALOBJECTS) $(EXECS)
 
@@ -259,9 +264,10 @@
 
 clean:
 	/bin/rm -f *.o $(EXECS) $(MAIN)
-install:
-	cp $(EXECS) /usr/local/bin
-	./gfan installlinks /usr/local/bin/
+install: $(BINDIR)
+	cp $(EXECS) $(BINDIR)
+#	cp $(EXECS) /usr/local/bin
+	./gfan installlinks --path $(BINDIR)/
 .c.o:
 	$(CC) $(CFLAGS) -c $<
 .cc.o:
@@ -270,3 +276,16 @@
 	$(CCC) $(CFLAGS) -c $<
 .C.o:
 	$(CCC) -c $<
+# wget http://ftp.sunet.se/pub/gnu/gmp/gmp-4.2.2.tar.gz
+# tar -xzvf gmp-4.2.2.tar.gz
+# cd gmp-4.2.2
+# ./configure --prefix=$HOME/gmp
+# make
+# make install
+# make check
+# cd..
+
+# wget ftp://ftp.ifor.math.ethz.ch/pub/fukuda/cdd/cddlib-094d.tar.gz  # THIS LINE DOES NOT WORK!
+# tar -xzvf cddlib-094d.tar.gz
+# cd cddlib-094d
+# ./configure --prefix="$HOME/cddlib" CFLAGS="-I$HOME/gmp/include -L$HOME/gmp/lib"
