=== homepage/Makefile ===
upload:
	mkdir uploaddir -p
	cp gfan.html uploaddir/
	cp *.png uploaddir/
	cp ../gfan0.3.tar.gz uploaddir/
	cp presentation/presentation.ps uploaddir/
	cp presentation/presentation.pdf uploaddir/
	cp ../doc/manual.ps uploaddir/gfanmanual0.3.ps
	cp ../doc/manual.pdf uploaddir/gfanmanual0.3.pdf
	scp uploaddir/* jensen@heawood.math.tu-berlin.de:WWW/software/gfan/
#	scp uploaddir/* jensen@horner:WWW/software/gfan/
#	scp uploaddir/* ajensen@imf.au.dk:public_html/software/gfan/
