## gfan 0.5%2Bdfsg

=== homepage/Makefile ===
upload:
	mkdir -p uploaddir
	cp gfan.html uploaddir/
	cp binaries.html uploaddir/
	cp *.png uploaddir/
	cp ../gfan0.5.tar.gz uploaddir/
	cp presentation/presentation.ps uploaddir/
	cp presentation/presentation.pdf uploaddir/
	cp ../doc/manual.ps uploaddir/gfanmanual0.5.ps
	cp ../doc/manual.pdf uploaddir/gfanmanual0.5.pdf
	scp uploaddir/* jensen@heawood.math.tu-berlin.de:WWW/software/gfan/
#	scp uploaddir/* jensen@horner:WWW/software/gfan/
#	scp uploaddir/* ajensen@imf.au.dk:public_html/software/gfan/
