=== debian/changelog ===
gfan (0.5+dfsg-5) unstable; urgency=medium

  * debian/patches:
    + add fix_compilation_clang.diff to properly forward declare some classes
      (Closes: #755308)
    + add fix_other_warnings_clang.diff to remove some other warnings about
      format strings and a typo in a macro name
  * debian/copyright: fix upstream email address
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Move upstream info to debian/upstream/metadata

 -- Cédric Boutillier <boutil@debian.org>  Sun, 26 Oct 2014 18:54:17 +0100

gfan (0.5+dfsg-4) unstable; urgency=low

  * add fix_GetUniqueGenerators_symmetry.patch to fix a range error causing a
    segmentation fault on powerpc.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 23 Sep 2013 15:04:31 +0200

gfan (0.5+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * modify remove_failing_tests_on_32bits.patch to replace command of
    0009RenderStairCase test with an empty one instead of deleting it.
  * remove lintian override about spelling error

 -- Cédric Boutillier <boutil@debian.org>  Tue, 09 Jul 2013 10:44:01 +0200

gfan (0.5+dfsg-2) experimental; urgency=low

  * Set priority to extra instead of optional
  * Incorporate and acknowledge changes from NMU 0.3dfsg-1.1. Thanks Gregor
    Herrmann.
  * debian/patches:
    + add remove_failing_tests_on_32bits.patch to circumvent a FTBFS described
      in bug #703035
  * add debian/upstream

 -- Cédric Boutillier <boutil@debian.org>  Thu, 14 Mar 2013 23:47:30 +0100

gfan (0.5+dfsg-1) experimental; urgency=low

  * New upstream version.
    + repack upstream tarball to remove non-free doc/ directory
    + setup debian/gbp.conf to automatically filter out doc/ for next versions
  * debian/patches:
    + remove gfan-installlinks-relative.patch: applied upstream
    + add remove_extra_declaration.patch: left-over declaration causing error
    + add use_system_cdd.patch: cdd headers are in /usr/include/cdd
    + set_locale_test_0008.patch: fix locale for consistency in sorted output
    + fix_command_test_0056.patch: use relative path for func.poly file
    + string_subst_test_50x.patch: replace gfan by %s as in other tests
    + dont_forget_flags_debian.patch: take into account default flags set by
      Debian
    + fix_spelling_errors.patch: fix some spelling errors in displayed
      messages of the program
  * debian/control:
    + add myself to Uploaders:, set Maintainer: to Debian Science Maintainers
    + update homepage url
    + bump Standards-Version" to 3.9.4 (no particular change needed)
  * debian/rules:
    + use dh as a packaging helper instead of cdbs
    + use hardening flags
  * debian/copyright:
    + convert to DEP-5 copyright-format/1.0
  * add debian/watch file
  * debian/source/local-options: add unapply-patches
  * override lintian message about missing upstream changelog
  * debian/gfan.1: rewrite to give a general presentation of gfan.

 -- Cédric Boutillier <boutil@debian.org>  Sat, 16 Feb 2013 16:41:16 +0100

gfan (0.3dfsg-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Fix "FTBFS: application.cpp:548:22: error: format not a string
     literal and no format arguments [-Werror=format-security]":
     add patch fix-string-format-error.patch from Eric Alexander.
     (Closes: #643383)

 -- gregor herrmann <gregoa@debian.org>  Sun, 20 Nov 2011 15:10:13 +0100 

gfan (0.3dfsg-1) unstable; urgency=low

  * Initial release (Closes: #480089).

 -- Tim Abbott <tabbott@mit.edu>  Thu, 05 Jun 2008 17:47:51 -0400
