=== debian/control ===
--- 
+++ 
@@ -2,14 +2,10 @@
 Section: math
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tim Abbott <tabbott@mit.edu>,
-	   Cédric Boutillier <boutil@debian.org>,
-	   Doug Torrance <dtorrance@piedmont.edu>
+Uploaders: Tim Abbott <tabbott@mit.edu>, Cédric Boutillier <boutil@debian.org>
 Homepage: http://home.imf.au.dk/jensen/software/gfan/gfan.html
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/gfan.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gfan.git
 Build-Depends: debhelper (>= 9), libgmp3-dev, libcdd-dev (>= 094g~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 
 Package: gfan
 Architecture: any
