=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
DEB_DESTDIR=./debian/gfan


%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(DEB_DESTDIR)/usr

override_dh_auto_test:
	./gfan _test

override_dh_clean:
	dh_clean -X~

override_dh_link:
	for x in $(DEB_DESTDIR)/usr/bin/* ; do \
		dh_link usr/share/man/man1/gfan.1 usr/share/man/man1/`basename $$x`.1; \
	done
