=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://home.imf.au.dk/jensen/software/gfan/gfan.html gfan(.+)\.tar\.gz
